int canvasSize = 600;
int[] position = new int[59];
int[] x = new int[59];
int[] y = new int[59];
int[] a = new int[59];
int[] b = new int[59];
float[] duktus = new float[59];

void setup() {
  size(canvasSize, canvasSize);
  setUpLineData();
  frameRate(25);
  smooth();
}

void draw() {

  if (frameCount < position.length) {
    stroke(0);
    strokeWeight(duktus[frameCount]);
    line(a[frameCount], y[frameCount], x[frameCount], y[frameCount]);
    line(x[frameCount], y[frameCount], y[frameCount], x[frameCount]);
    line(y[frameCount], x[frameCount], b[frameCount], x[frameCount]);
  }

  if (frameCount > position.length + 85) {
    exit();
    noStroke();
    fill(255, 60);
    rect(0, 0, canvasSize, canvasSize);
  }

  if (frameCount > position.length + 115) {
    frameCount = 0;
    setUpLineData();
  }
}

void setUpLineData() {
  background(255);
  for (int i = 0; i<position.length; i++) {
    position[i] = i*10+10;
  }
  for (int i = 0; i<position.length; i++) {
    x[i] = constrain(position[int(random(position.length))], 100, 500);
    y[i] = constrain(position[int(random(position.length))], 100, 500);
    a[i] = (x[i] > canvasSize/2) ? canvasSize : 0;
    b[i] = (y[i] > canvasSize/2) ? canvasSize : 0;
    duktus[i] = (i > 20) ? i*.03 : .5;
  }
}

void keyPressed() {
  if (key == 's') {
    saveFrame("save/line-"+year()+"-"+month()+"-"+day()+"-"+hour()+"-"+minute()+"-"+second()+".png");
  }
}
